#
# fltdbl.R,  5 Jun 23

library("colorspace")
library("plyr")


par(bty="l")
par(las=1)
par(pch="+")
pal_col=rainbow(4)


read_vals=function(file_str)
{
ev=read.csv(file_str)

ev$X=NULL

ev=as.vector(as.matrix(ev))

return(ev)
}

flt_50=read_vals("flt/ev_600.csv")
dbl_50=read_vals("dbl/ev_600.csv")

df_diff=dbl_50-flt_50

cnt_diff=count(signif(abs(df_diff), digits=2))

plot(cnt_diff, log="xy", main="600 operand expressions",
	xlab="abs(dbl-flt)")

