#
# runpert.sh,  7 Jun 23

build_run() {
./mkpert.sh $1 $2 $3 > e.h

gcc -fsanitize=address -fsanitize=bounds  p-expr.c -o p-expr

./p-expr $4 > pv/pv_$1_$2_$3_$4.csv
}

# First argument is plus/multiple fraction
# build_run 0.25 0.2 50
# build_run 0.25 0.4 50
# build_run 0.25 0.6 50
# build_run 0.25 0.8 50


plusmult() {
build_run 0.2 $1 $2 $3
build_run 0.4 $1 $2 $3
build_run 0.6 $1 $2 $3
# build_run 0.8 $1 $2 $3
}

nesting() {
plusmult 0.25 $1 $2
plusmult 0.50 $1 $2
plusmult 0.75 $1 $2
}

operands () {
nesting 25 $1
nesting 50 $1
nesting 75 $1
nesting 100 $1
# nesting 125 $1
# nesting 150 $1
}

pert() {
operands 1e0
operands 1e2
operands 1e4
operands 1e8
operands 1e16
}

pert

